Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
09.12.2019, 21:25:05

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 22927
  • Letzte: moinmuc
Statistiken
  • Beiträge insgesamt: 623763
  • Themen insgesamt: 50366
  • Heute online: 915
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online

Autor Thema: [gelöst]  Fehler beim Installieren von Updates  (Gelesen 405 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Fehler beim Installieren von Updates
« am: 13.08.2019, 11:25:04 »
Hallo,

seit dem Update von systemd am 07.08 hab ich hier bei jedem Update oder auch beim Installieren neuer Software über die Anwendungsverwaltung, Fehlermeldungen.

Leider hab ich nicht zu jeder Meldung die Infos kopiert, nur eine Auflistung vom 07.08 und von heute.

Hier vom 07.08 :

installArchives() failed: Selecting previously unselected package libcharls1:amd64.
(Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 540610 files and directories currently installed.)
Preparing to unpack .../libcharls1_1.1.0+dfsg-2_amd64.deb ...
Unpacking libcharls1:amd64 (1.1.0+dfsg-2) ...
Selecting previously unselected package libdcmtk12.
Preparing to unpack .../libdcmtk12_3.6.2-3build3_amd64.deb ...
Unpacking libdcmtk12 (3.6.2-3build3) ...
Selecting previously unselected package dcmtk.
Preparing to unpack .../dcmtk_3.6.2-3build3_amd64.deb ...
Unpacking dcmtk (3.6.2-3build3) ...
Selecting previously unselected package aeskulap.
Preparing to unpack .../aeskulap_0.2.2b1+git20161206-4_amd64.deb ...
Unpacking aeskulap (0.2.2b1+git20161206-4) ...
Processing triggers for gconf2 (3.2.6-4ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23+linuxmint5) ...
Setting up libcharls1:amd64 (1.1.0+dfsg-2) ...
Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.4) ...
Setting up initramfs-tools (0.130ubuntu3.8) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libdcmtk12 (3.6.2-3build3) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up dcmtk (3.6.2-3build3) ...
Adding `dcmtk' group to system ...
Adding `dcmtk' user to system ...
adduser: Achtung: der persnliche Ordner /var/lib/dcmtk/db gehrt nicht dem Benutzer, den Sie gerade anlegen.
Setting up aeskulap (0.2.2b1+git20161206-4) ...
Processing triggers for initramfs-tools (0.130ubuntu3.8) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
W: initramfs-tools configuration sets RESUME=UUID=04e7758f-dee5-4a27-b1ac-c38ba16e4fed
W: but no matching swap device is available.

gzip: stdout: No space left on device
E: mkinitramfs failure find 141 cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.15.0-55-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 installed initramfs-tools package post-installation script subprocess returned error exit status 1
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Errors were encountered while processing:
 initramfs-tools
Setting up initramfs-tools (0.130ubuntu3.8) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.130ubuntu3.8) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
W: initramfs-tools configuration sets RESUME=UUID=04e7758f-dee5-4a27-b1ac-c38ba16e4fed
W: but no matching swap device is available.

gzip: stdout: No space left on device
cpio: Fehler beim Schreiben: Datenbergabe unterbrochen (broken pipe)
find: standard output: Datenbergabe unterbrochen (broken pipe)
find: Schreibfehler.
E: mkinitramfs failure find 1 cpio 2 gzip 1
update-initramfs: failed for /boot/initrd.img-4.15.0-55-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 installed initramfs-tools package post-installation script subprocess returned error exit status 1

Heute :



(Lese Datenbank ... 540930 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../0-ghostscript-x_9.26~dfsg+0-0ubuntu0.18.04.10_amd64.deb ...
Entpacken von ghostscript-x (9.26~dfsg+0-0ubuntu0.18.04.10) über (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Vorbereitung zum Entpacken von .../1-ghostscript_9.26~dfsg+0-0ubuntu0.18.04.10_amd64.deb ...
Entpacken von ghostscript (9.26~dfsg+0-0ubuntu0.18.04.10) über (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Vorbereitung zum Entpacken von .../2-libgs9_9.26~dfsg+0-0ubuntu0.18.04.10_amd64.deb ...
Entpacken von libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.10) über (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Vorbereitung zum Entpacken von .../3-libgs9-common_9.26~dfsg+0-0ubuntu0.18.04.10_all.deb ...
Entpacken von libgs9-common (9.26~dfsg+0-0ubuntu0.18.04.10) über (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Vorbereitung zum Entpacken von .../4-poppler-utils_0.62.0-2ubuntu2.10_amd64.deb ...
Entpacken von poppler-utils (0.62.0-2ubuntu2.10) über (0.62.0-2ubuntu2.9) ...
Vorbereitung zum Entpacken von .../5-libpoppler-glib8_0.62.0-2ubuntu2.10_amd64.deb ...
Entpacken von libpoppler-glib8:amd64 (0.62.0-2ubuntu2.10) über (0.62.0-2ubuntu2.9) ...
Vorbereitung zum Entpacken von .../6-libpoppler73_0.62.0-2ubuntu2.10_amd64.deb ...
Entpacken von libpoppler73:amd64 (0.62.0-2ubuntu2.10) über (0.62.0-2ubuntu2.9) ...
libgs9-common (9.26~dfsg+0-0ubuntu0.18.04.10) wird eingerichtet ...
initramfs-tools (0.130ubuntu3.8) wird eingerichtet ...
update-initramfs: deferring update (trigger activated)
libpoppler73:amd64 (0.62.0-2ubuntu2.10) wird eingerichtet ...
Trigger für libc-bin (2.27-3ubuntu1) werden verarbeitet ...
Trigger für man-db (2.8.3-2ubuntu0.1) werden verarbeitet ...
libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.10) wird eingerichtet ...
libpoppler-glib8:amd64 (0.62.0-2ubuntu2.10) wird eingerichtet ...
poppler-utils (0.62.0-2ubuntu2.10) wird eingerichtet ...
ghostscript (9.26~dfsg+0-0ubuntu0.18.04.10) wird eingerichtet ...
ghostscript-x (9.26~dfsg+0-0ubuntu0.18.04.10) wird eingerichtet ...
Trigger für initramfs-tools (0.130ubuntu3.8) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
W: initramfs-tools configuration sets RESUME=UUID=04e7758f-dee5-4a27-b1ac-c38ba16e4fed
W: but no matching swap device is available.

gzip: stdout: No space left on device
E: mkinitramfs failure find 141 cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.15.0-55-generic with 1.
dpkg: Fehler beim Bearbeiten des Paketes initramfs-tools (--configure):
 Unterprozess installiertes initramfs-tools-Skript des Paketes post-installation gab den Fehler-Ausgangsstatus 1 zurück
Trigger für libc-bin (2.27-3ubuntu1) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ein Paket konnte nicht installiert werden. Wiederherstellung wird versucht:
initramfs-tools (0.130ubuntu3.8) wird eingerichtet ...
update-initramfs: deferring update (trigger activated)
Trigger für initramfs-tools (0.130ubuntu3.8) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
W: initramfs-tools configuration sets RESUME=UUID=04e7758f-dee5-4a27-b1ac-c38ba16e4fed
W: but no matching swap device is available.

gzip: stdout: No space left on device
cpio: Fehler beim Schreiben: Datenübergabe unterbrochen (broken pipe)
find: ‘standard output’: Datenübergabe unterbrochen (broken pipe)
find: Schreibfehler.
E: mkinitramfs failure find 1 cpio 2 gzip 1
update-initramfs: failed for /boot/initrd.img-4.15.0-55-generic with 1.
dpkg: Fehler beim Bearbeiten des Paketes initramfs-tools (--configure):
 Unterprozess installiertes initramfs-tools-Skript des Paketes post-installation gab den Fehler-Ausgangsstatus 1 zurück
Fehler traten auf beim Bearbeiten von:
 initramfs-tools



Trotz Fehlermeldungen läuft aber scheinbar alles, also schätz ich. So wars auch als ich über die Anwendungsverwaltung den Aeskulap Viewer installierte, da kamen auch paar Meldungen, funktioniert hatte der dann aber trotzdem.

Was ist da los ? Kann man das ignorieren ?





« Letzte Änderung: 14.08.2019, 10:45:05 von hgc39 »

Re: Fehler beim Installieren von Updates
« Antwort #1 am: 13.08.2019, 11:44:58 »
No space left on device
Kein freier Speicherplatz mehr auf dem System-Laufwerk!
Kann man das ignorieren ?
Nein.
Erst mal überprüfen mit df -h
Speicherplatz freimachen: apt clean
und alte Kernel entfernen
« Letzte Änderung: 13.08.2019, 11:51:21 von aexe »

Re: Fehler beim Installieren von Updates
« Antwort #2 am: 13.08.2019, 11:45:16 »
Denke es liegt an der swap.

but no matching swap device is available.
Wenn Du nur eine swap als "Datei" anlegen kannst dürfte der Speicher knapp sein da der Platz dynamisch angelegt wird und wenn nicht genug da ist ...  ;)

Bei eine swap-Partition ist das nicht der Fall. Der Platz ist immer da und auch schneller.

Oder Du hast gar nichts für swap eingerichtet, das geht glaube ich kaum bis gar nicht ...

Re: Fehler beim Installieren von Updates
« Antwort #3 am: 13.08.2019, 11:49:33 »
da der Platz dynamisch angelegt wird

Das glaube ich nicht mehr.
Das dynamische.
Habe mir das in mehreren VM's angesehen, Swapfile war immer voll da, wie zugewiesener Speicher.
Info:
  Processes: 228 Uptime: 2h 32m Memory: 1.81 GiB used: 1.24 GiB (68.4%)
  Shell: bash inxi: 3.0.27
t510@t510-ThinkPad-T510:~$

« Letzte Änderung: 13.08.2019, 11:53:23 von tommix »

Re: Fehler beim Installieren von Updates
« Antwort #4 am: 13.08.2019, 11:52:02 »
Kein Plan von der Swapfile ... Habe immer die swap-Partition ...

Off-Topic:
da der Platz dynamisch angelegt wird

Das glaube ich nicht mehr.

Wir sind hier nicht in der Kirche ...  ;)

Re: Fehler beim Installieren von Updates
« Antwort #5 am: 13.08.2019, 11:54:32 »
Der SWAP wird chronisch überbewertet.

Re: Fehler beim Installieren von Updates
« Antwort #6 am: 13.08.2019, 11:56:53 »
..und dennoch regelmäßig benutzt ...  ;D

Re: Fehler beim Installieren von Updates
« Antwort #7 am: 13.08.2019, 11:57:56 »
Also habe eine 128er SSD drin, wo Xfce 19.1 drauf ist und eine 500er HDD, die grade gar nicht genutzt wird, nichts drauf.

Falls da irgendeine Partition zu klein ist, wärs dann möglich daran was zu ändern ?

Hatte mich e schon gefragt ob sowas mal kommt, da ich bei der Installation selber keine Größen eingestellt hatte, habe einfach übernommen was da bei der Installation voreingestellt wurde.

Dateisystem               Größe Benutzt Verf. Verw% Eingehängt auf
udev                       3,9G       0  3,9G    0% /dev
tmpfs                      793M    1,4M  792M    1% /run
/dev/mapper/mint--vg-root  109G     38G   66G   37% /
tmpfs                      3,9G    4,0K  3,9G    1% /dev/shm
tmpfs                      5,0M    4,0K  5,0M    1% /run/lock
tmpfs                      3,9G       0  3,9G    0% /sys/fs/cgroup
/dev/sda1                  704M    646M  6,6M  100% /boot
tmpfs                      793M     20K  793M    1% /run/user/1001
/home/hgc/.Private      109G     38G   66G   37% /home/hgc




« Letzte Änderung: 13.08.2019, 12:01:56 von hgc39 »

Re: Fehler beim Installieren von Updates
« Antwort #8 am: 13.08.2019, 12:01:25 »
/dev/sda1                  704M    646M  6,6M  100% /boot
Da wird es eng. 
alte Kernel entfernen

Re: Fehler beim Installieren von Updates
« Antwort #9 am: 13.08.2019, 12:01:27 »
Zeige mal bitte GParted:

Re: Fehler beim Installieren von Updates
« Antwort #10 am: 13.08.2019, 12:08:24 »
Ok also erst mal apt  clean, dann über die Aktualisierungsverwaltung alte Kernel entfernen, OK ?


Re: Fehler beim Installieren von Updates
« Antwort #11 am: 13.08.2019, 12:15:25 »
über die Aktualisierungsverwaltung alte Kernel entfernen, OK ?
Ja, wenn es welche gibt.
Normalerweise behält man nur die zwei neuesten.

Re: Fehler beim Installieren von Updates
« Antwort #12 am: 13.08.2019, 12:20:15 »
Dateisystem               Größe Benutzt Verf. Verw% Eingehängt auf
udev                       3,9G       0  3,9G    0% /dev
tmpfs                      793M    1,4M  792M    1% /run
/dev/mapper/mint--vg-root  109G     35G   69G   34% /
tmpfs                      3,9G    4,0K  3,9G    1% /dev/shm
tmpfs                      5,0M    4,0K  5,0M    1% /run/lock
tmpfs                      3,9G       0  3,9G    0% /sys/fs/cgroup
/dev/sda1                  704M     80M  573M   13% /boot
/home/hgc/.Private      109G     35G   69G   34% /home/hgc
/home/hcc/.Private      109G     35G   69G   34% /home/hcc
tmpfs                      793M    8,0K  793M    1% /run/user/1001


Und nun, wieder alles gut ?

Re: Fehler beim Installieren von Updates
« Antwort #13 am: 13.08.2019, 12:21:57 »
Am besten Testen ...  :) beim Update ...

Aber da Du auch verschlüsselt hast kann da noch mehr sein... kann nicht muss! Ich verschlüssel nie ganz, nur einzelne Ordner ...

Aber schau erst mal ...
« Letzte Änderung: 13.08.2019, 12:29:31 von Nuffi »

Re: Fehler beim Installieren von Updates
« Antwort #14 am: 13.08.2019, 12:25:24 »
OK vielen Dank an alle !